SDL_CameraDeviceID(3type)

NAME
SDL_CameraDeviceID - This is a unique ID for a camera device for the time it is connected to the system, and is never reused for the lifetime of the application.

HEADER FILE
Defined in SDL3/SDL_camera.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef Uint32 SDL_CameraDeviceID;

DESCRIPTION
If the device is disconnected and reconnected, it will get a new ID. The ID value starts at 1 and increments from there. The value 0 is an invalid ID.

AVAILABILITY
This datatype is available since SDL 3.0.0.

SEE ALSO
SDL_GetCameraDevices(3)